/*
FILE: stylesheet for Calendar
BY: Frank Henderson
DATE: 07/06/17
MODIFIED: 07/09/25
NOTE: Calendar grid display switches to list-style at screen resolutions below 1024px.
*/

/* calendar top date selector */
#calnav{ width:100%; margin: 25px auto 15px auto; padding: 10px; border: 1px solid #777; border-spacing: 0px;}
.calnav-form { text-align:right; padding-right:5px; }
.calnav-form-go {border: 1px solid #777; color: #FFF; background-color: #2e5f97; padding: 1px 8px 1px 8px; }
.calnav input, select {	border: 1px solid #777; }
.tag {display:none;}  /* appears at 800px (see below) */
/* calendar nav ('previous/next') */
#calhead { margin-left:auto; margin-right:auto; width:100%;  }
#calhead td { padding:8px; }
#calhead td.lt { width:20%; text-align: left; } 
#calhead td.heading { width:59%; font-size:1.4em; font-weight:bold; text-align: center; }
#calhead td.rt { width:20%; text-align: right; } 
/* calendar */
#cal 	 {display:none;}  /* appears at 1024px (see below) */
/* calendar current day */
.today { background-color:#FFF9A5; }
/* calendar event URL */
.eventul { margin: 4px;	padding: 2px; }

/* calendar event description page */
.desc-tbl {margin-top: 15px; border: 0px; border-spacing: 0px;}
.desc-tbl th { padding:0 2em 1em 0; text-align:right; }
.desc-tbl td { padding:0 0em 1em 0; text-align:left; }
.float_right {float: right; font-size: small; font-weight: normal;}

/* hide <label> tags or any other */
.hide {display: none;}

/*
=====================================================
PROGRESSIVELY ENHANCED STYLES
=====================================================
*/

@media screen and (min-width: 800px) {
    /* upper tag line */
    .tag {display:inline;font-size: 12px; font-style: italic;} 
}

@media screen and (min-width: 1024px) {

	/* calendar */
	#cal { display: table; margin-left:auto; margin-right:auto; width:100%; border:1px solid #000; border-spacing: 0px; }
	#cal td { width:14%; height:100px; padding:8px; border:1px solid #000; vertical-align: top;  }
	#cal th { font-weight:bold; color:#FFF; background-color:#2e5f97; padding:8px; border:1px solid #000; }
    #cal td a {overflow-wrap: anywhere; }
	/* calendar top nav buttons (used on TVAT Calendar) */
	/*.calnav-button {  font-weight:normal; color:#FFF; background-color:#2e5f97; margin:0px 10px 0px 0px; padding:2px 8px; border:1px solid #000; width:110px; }
	.calnav-button a { color:#FFF !important; text-decoration:none !important; }
	.calnav-button-td { width:120px; text-align:center; } */

	/* calendar event URL */
	.eventul { margin: 8px;	background-color: #FFF9A5; }

	/* calendar list */
	#cal_list { display: none; }
}
